﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_22_Kalyshev_Y_V_MotorBoat_Base
{
    internal class DrawningObjectBoat : IDrawningObject
    {
        private DrawningBoat _boat = null;
        public DrawningObjectBoat(DrawningBoat boat)
        {
            _boat = boat;
        }
        public float Step => _boat?.Boat?.Step ?? 0;
        public void DrawningObject(Graphics g)
        {
            _boat?.DrawTransport(g);
        }
        public (float Left, float Right, float Top, float Bottom) GetCurrentPosition()
        {
            return _boat?.GetCurrentPosition() ?? default;
        }
        public string GetInfo() => _boat?.GetDataForSave();
        public void MoveObject(Direction direction)
        {
            _boat.MoveTransport(direction);
        }
        public void SetObject(int x, int y, int width, int height)
        {
            _boat.SetPosition(x, y, width, height);
        }
        public static IDrawningObject Create(string data) => new DrawningObjectBoat(data.CreateDrawningBoat());
    }
}
