﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_22_Kalyshev_Y_V_MotorBoat_Base
{
    [Serializable]
    internal class StorageOverflowException : ApplicationException
    {
        public StorageOverflowException(int count) : base($"В наборе превышено допустимое количество: {count} элементов") { }
        public StorageOverflowException() :base() { }
        public StorageOverflowException(string message) : base(message) { }
        public StorageOverflowException(string message, Exception exception) : base(message, exception) { }
        protected StorageOverflowException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
